%global appname compton

# Git submodules
%global test_commit         c305d67a62032ed340439e9006814a25a7b990b7
%global test_shortcommit    %(c=%{test_commit}; echo ${c:0:7})

Name:           %{appname}-ng
Version:        7.2
Release:        2%{?dist}
Summary:        Compositor for X11, active fork

License:        MPLv2.0 and MIT
URL:            https://github.com/yshui/compton
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        %{url}/archive/%{test_commit}/test-%{test_shortcommit}.tar.gz

BuildRequires:  asciidoc
BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  libev-devel
BuildRequires:  meson
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libxdg-basedir)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb-composite)
BuildRequires:  pkgconfig(xcb-damage)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-present)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xcb-render)
BuildRequires:  pkgconfig(xcb-renderutil)
BuildRequires:  pkgconfig(xcb-shape)
BuildRequires:  pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(xcb-xinerama)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xproto)
BuildRequires:  uthash-devel
Requires:       hicolor-icon-theme
Conflicts:      compton

%description
This is forked from the original Compton because that seems to have become
unmaintained.

The current battle plan of this fork is to refactor it to make the code
possible to maintain, so potential contributors won't be scared away when they
take a look at the code.

We also try to fix bugs.

%prep
%autosetup -p1 -n %{appname}-%{version} -a1
mv yshui-%{appname}-%{test_shortcommit}/subprojects/test.h subprojects/

%build
%meson -Dbuild_docs=true
%meson_build

%install
%meson_install
install -Dpm0644 %{appname}.sample.conf %{buildroot}%{_sysconfdir}/xdg/%{appname}.conf

%check
%meson_test
desktop-file-validate %{buildroot}%{_datadir}/applications/%{appname}.desktop

%files
%license COPYING LICENSES/MPL-2.0 LICENSES/MIT
%doc README.md
%{_bindir}/%{appname}*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svg
%{_mandir}/man1/%{appname}-trans.1.*
%{_mandir}/man1/%{appname}.1.*
%{_sysconfdir}/xdg/%{appname}.conf

%changelog
* Tue Aug 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 7.2-2
- Update to 7.2
- Packaging fixes
- Disable LTO

* Tue Aug 06 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 7.1-5
- Initial package
